Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.smardec.asc.quick
Class QuickSearch

    java.lang.Object
      |
      +--com.smardec.asc.quick.QuickSearch

public abstract class QuickSearch
extends java.lang.Object

`QuickSearch` class is used to configure quick search feature.

Method Summary
`javax.swing.KeyStroke` | `getKeyStroke()` Returns keystroke that activates quick search.
`java.lang.String` | `getSearchPrompt()` Returns search prompt.
`void` | `hideSearch()` Hides quick search.
`boolean` | `isEnabled()` Returns search enabled property.
`boolean` | `isMaskSearch()` Returns mask search property.
`boolean` | `isPrefereSelection()` Returns prefere selection property.
`boolean` | `isStrict()` Returns strict mode.
`void` | `setEnabled(boolean enabled)` Sets search enabled property.
`void` | `setKeyStroke(javax.swing.KeyStroke keyStroke)` Sets keystroke that activates quick search.
`void` | `setMaskSearch(boolean maskSearch)` Sets mask search property.
`void` | `setPrefereSelection(boolean prefereSelection)` Sets prefere selection node property.
`void` | `setSearchPrompt(java.lang.String searchPrompt)` Sets search prompt.
`void` | `setStrict(boolean strict)` Sets strict mode.
`void` | `showSearch()` Activates quick search.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### isEnabled

    public boolean isEnabled()

  Returns search enabled property. If `false` than the search function will be disabled. The default is `true`.

  Returns:
    search enabled property.

### setEnabled

    public void setEnabled(boolean enabled)

  Sets search enabled property. If `false` than the search function will be disabled. The default is `true`.

  Parameters:
    `enabled` - search enabled property

### isStrict

    public boolean isStrict()

  Returns strict mode. If `true` than the user cannot type arbitrary names. If `false` than wrong names are allowed and highlighted with red color. The default is `false`.

  Returns:
    Current strict mode.

### setStrict

    public void setStrict(boolean strict)

  Sets strict mode. If set to `true` than the user cannot type arbitrary names. If set to `false` than wrong names are allowed and highlighted with red color. The default is `false`.

  Parameters:
    `strict` - Strict mode

### isPrefereSelection

    public boolean isPrefereSelection()

  Returns prefere selection property. If `true` than the selection will stay on the currently selected item as long as it matches the template. If `false` than the selection will be at the topmost item that matches the template. The default is `true`.

  Returns:
    prefere selection property.

### setPrefereSelection

    public void setPrefereSelection(boolean prefereSelection)

  Sets prefere selection node property. If `true` than the selection will stay on the currently selected item as long as it matches the template. If `false` than the selection will be at the topmost item that matches the template. The default is `true`.

  Parameters:
    `prefereSelection` - Prefere selected node property

### getSearchPrompt

    public java.lang.String getSearchPrompt()

  Returns search prompt. The default is "Search for: ".

  Returns:
    search prompt.

### setSearchPrompt

    public void setSearchPrompt(java.lang.String searchPrompt)

  Sets search prompt. The default is "Search for: ".

  Parameters:
    `searchPrompt` - new search prompt

### isMaskSearch

    public boolean isMaskSearch()

  Returns mask search property. If `true` than you can use '*' to match any character 0 or more times and '?' to match any single character. The default is `false`.

  Returns:
    mask search property.

### setMaskSearch

    public void setMaskSearch(boolean maskSearch)

  Sets mask search property. If `true` than you can use '*' to match any character 0 or more times and '?' to match any single character. The default is `false`.

  Parameters:
    `maskSearch` - mask search property

### getKeyStroke

    public javax.swing.KeyStroke getKeyStroke()

  Returns keystroke that activates quick search. If keystroke is set to non-null value than the search will be activated only on keystroke. If set to `null` than quick search activates when you start typing on the searchable component. The default is `null`.

  Returns:
    keystroke that activates quick search.

### setKeyStroke

    public void setKeyStroke(javax.swing.KeyStroke keyStroke)

  Sets keystroke that activates quick search. If keystroke is set to non-null value than the search will be activated only on keystroke. If set to `null` than quick search activates when you start typing on the searchable component. The default is `null`.

  Parameters:
    `keyStroke` - keystroke that activates quick search

### showSearch

    public void showSearch()

  Activates quick search.

### hideSearch

    public void hideSearch()

  Hides quick search.

Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2006 Smardec. All Rights Reserved.